%define upstream_name    Image-Base-SVG
%define upstream_version 5

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    SVG image file output
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Image/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Image::Base)
BuildRequires: perl(SVG) >= 2.380.0
BuildRequires: perl(SVG::Parser)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
'Image::Base::SVG' extends 'Image::Base' to create or update SVG format
image files using the 'SVG.pm' module (see the SVG::Manual manpage).

'Image::Base' is pixel oriented so isn't really the sort of thing SVG is
meant for, but this module can direct some 'Image::Base' style code at an
'SVG' object. Of course the 'SVG' module has many more features if used
natively.

It's often fairly easy to spit out SVG directly too, and for instance the
'Image::Base::SVGout' module can do that. The advantage of the 'SVG'
document object model comes when combining images or fragments, or going
through elements for post-facto mangling.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc COPYING Changes META.json META.yml MYMETA.yml SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 5.0.0-4.mga10
+ Revision: 2209059
- Mageia 10 Mass Rebuild

* Tue Mar 22 2022 umeabot <umeabot> 5.0.0-3.mga9
+ Revision: 1819441
- Mageia 9 Mass Rebuild

* Sat Feb 15 2020 umeabot <umeabot> 5.0.0-2.mga8
+ Revision: 1523890
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Fri Mar 15 2019 tv <tv> 5.0.0-1.mga7
+ Revision: 1377498
- update to 5

* Tue Mar 12 2019 tv <tv> 4.0.0-9.mga7
+ Revision: 1374742
- fix summary

* Wed Sep 19 2018 umeabot <umeabot> 4.0.0-8.mga7
+ Revision: 1268547
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 4.0.0-7.mga6
+ Revision: 1028456
- Rebuild for perl 5.22.2

* Sat Feb 06 2016 umeabot <umeabot> 4.0.0-6.mga6
+ Revision: 940709
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 4.0.0-5.mga5
+ Revision: 742015
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.0.0-4.mga5
+ Revision: 685116
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 4.0.0-3.mga4
+ Revision: 512359
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 4.0.0-2.mga3
+ Revision: 368716
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ jquelin <jquelin>
- update to 4

* Thu Jun 30 2011 jquelin <jquelin> 2.0.0-1.mga2
+ Revision: 116587
- imported package perl-Image-Base-SVG


* Thu Jun 30 2011 cpan2dist 2-1mga
- initial mageia release, generated with cpan2dist
